Date: Monday, December 28, 2020 @ 00:10:53
  Author: felixonmars
Revision: 794125

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-unicode-show/repos/community-staging-x86_64/
  haskell-unicode-show/repos/community-staging-x86_64/PKGBUILD
    (from rev 794124, haskell-unicode-show/trunk/PKGBUILD)

----------+
 PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

Copied: haskell-unicode-show/repos/community-staging-x86_64/PKGBUILD (from rev 
794124, haskell-unicode-show/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD                           (rev 0)
+++ community-staging-x86_64/PKGBUILD   2020-12-28 00:10:53 UTC (rev 794125)
@@ -0,0 +1,44 @@
+# Maintainer: Felix Yan <felixonm...@archlinux.org>
+# Contributor: Arch Haskell Team <arch-hask...@haskell.org>
+
+_hkgname=unicode-show
+pkgname=haskell-unicode-show
+pkgver=0.1.0.4
+pkgrel=59
+pkgdesc="Print and show in unicode"
+url="https://github.com/nushio3/unicode-show#readme";
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs')
+makedepends=('ghc' 'haskell-hspec' 'haskell-quickcheck')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz";)
+sha512sums=('25019cfc9d4c8eff6ef2ab772cec8a810e22ad1fd35f4119a53a9f2bbeb50c9e742a508815813134d8d5fa13dee3f1ddcc9f183b4a6958c748d6d82f35b98147')
+
+build() {
+    cd $_hkgname-$pkgver
+
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic 
--disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+    runhaskell Setup build $MAKEFLAGS
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    # https://github.com/nushio3/unicode-show/issues/2
+    runhaskell Setup test || echo "Tests failed"
+}
+
+package() {
+    cd $_hkgname-$pkgver
+
+    install -D -m744 register.sh 
"$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh 
"$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}

Reply via email to